## vile 9.8t-3build1

=== debian/changelog ===
vile (9.8t-3build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:38:27 +0000
