=== package/debian/changelog ===
vile (9.8t) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 17 Feb 2017 15:22:53 -0500

vile (9.8s) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 29 Jul 2016 04:58:58 -0400

vile (9.8r) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 02 Nov 2015 04:52:25 -0500

vile (9.8q) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 04 Mar 2015 20:12:05 -0500

vile (9.8p) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 15 Oct 2014 20:51:30 -0400

vile (9.8o) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 21 Jul 2014 04:21:26 -0400

vile (9.8n) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 31 Mar 2014 19:13:33 -0400

vile (9.8m) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 01 Feb 2014 20:00:20 -0500

vile (9.8l) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 28 Aug 2013 13:35:16 -0400

vile (9.8k) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 14 May 2013 04:49:55 -0400

vile (9.8j) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 16 Oct 2012 05:22:53 -0400

vile (9.8i) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 20 Aug 2012 05:26:22 -0400

vile (9.8h) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 11 Mar 2012 20:44:01 -0400
