## vile 9.8v

=== package/freebsd/vile/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # Created by: pgf
-# $FreeBSD: tags/RELEASE_12_0_0/editors/vile/Makefile 446109 2017-07-17 19:41:10Z cpm $
+# $FreeBSD$
 
 PORTNAME=	vile
-PORTVERSION=	9.8t
+PORTVERSION=	9.8v
 CATEGORIES=	editors
-MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
-		ftp://ftp.invisible-island.net/vile/current/ \
+MASTER_SITES=	ftp://ftp.invisible-island.net/pub/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
 
 PATCH_SITES=	${MASTER_SITES:S,vile/current/,vile/patches/,g}
@@ -24,8 +23,6 @@
 CONFIGURE_ENV=	cf_cv_crypt_works=yes
 MAKEFILE=	makefile
 INSTALL_TARGET=	install install-doc install-html
-
-CONFLICTS_INSTALL=	xvile-[0-9]*
 
 OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
 OPTIONS_SUB=		yes
