=== package/freebsd/xvile/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # Created by: pgf
-# $FreeBSD: tags/RELEASE_12_0_0/editors/xvile/Makefile 428846 2016-12-18 11:47:09Z olivierd $
+# $FreeBSD: head/editors/xvile/Makefile 516802 2019-11-05 15:48:40Z zeising $
 
 PORTNAME=	vile
-PORTVERSION=	9.8t
+PORTVERSION=	9.8v
 CATEGORIES=	editors
-MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
-		ftp://ftp.invisible-island.net/vile/current/ \
+MASTER_SITES=	ftp://ftp.invisible-island.net/pub/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
 PKGNAMEPREFIX=	x
 
@@ -19,7 +18,7 @@
 
 BUILD_DEPENDS=	reflex:textproc/reflex
 
-USES=		pkgconfig shebangfix tar:tgz
+USES=		pkgconfig shebangfix tar:tgz xorg
 SHEBANG_FILES=	macros/lxvile macros/lxvile-fonts perl/vileget
 USE_XORG=	x11 xext xpm xt
 GNU_CONFIGURE=	yes
@@ -29,12 +28,13 @@
 		--enable-fontset \
 		--with-icon-theme \
 		--with-xpm \
+		--datarootdir=${PREFIX}/share/xvile \
 		--with-icondir=${PREFIX}/share/icons \
-		--with-pixmapdir=${PREFIX}/share/pixmaps
+		--with-libdir-path=${PREFIX}/lib/xvile \
+		--with-pixmapdir=${PREFIX}/share/pixmaps \
+		--with-startup-path=${PREFIX}/share/xvile
 MAKEFILE=	makefile
 INSTALL_TARGET=	install install-doc install-html
-
-CONFLICTS_INSTALL=	vile-[0-9]*
 
 OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
 OPTIONS_RADIO=		MENUS
@@ -62,6 +62,10 @@
 			--with-Xaw3d \
 			--with-screen=xaw3d
 
+# fixes to make this not conflict with the "vile" port
+DATADIR=		${PREFIX}/share/xvile
+DOCSDIR=		${PREFIX}/share/doc/xvile
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MFILTERS}
@@ -76,13 +80,17 @@
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|$$(datadir)/doc|@datadir@/doc/vile| ; \
+		's|$$(datadir)/doc|@prefix@/share/doc/xvile| ; \
+		 s|^\(datadir[ 	]*=[ 	]*\)@datadir@.*|\1@datarootdir@| ; \
+		 s|@datadir@/doc/vile|@datarootdir@/doc/xvile| ; \
 		 s|$$(datadir)/html|$$(docdir)/html| ; \
+		 s|$$(datadir)/perl|@datadir@/perl| ; \
+		 s|$$(BINDIR)/vileget|$$(BINDIR)/xvileget| ; \
 		 s|\($$(DOCDIR)\) \($$(MANDIR)\)|\1 $$(HTMLDIR) \2|' \
 		${WRKSRC}/makefile.in
 	@${REINPLACE_CMD} -e \
-		'/^Categories/s|Application;||' \
-		${WRKSRC}/macros/*.desktop
+		's|^\(datadir[ 	]*=[ 	]*\)@datadir@.*|\1@datarootdir@|' \
+		${WRKSRC}/filters/makefile.in
 
 post-install:
 	(cd ${WRKSRC}/macros && ${INSTALL_DATA} *.desktop \
