=== debian/changelog ===
vile (9.8w-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 22 Aug 2022 15:16:35 +1000

vile (9.8v-4) unstable; urgency=medium

  * Apply multi-arch hint from Debian Janitor: multiple vile-filters
    packages may be installed (not particularly usefully, as the same is
    not true of the vile package...).
  * Add Rules-Requires-Root: no.
  * Update to standards version 4.6.1.
  * Fix order of #include in UXVile.ad so that the correct font is used.
  * Change the default xvile font to match the uxvile sizing (9x18).
  * Rollback lins_chars() change added in 9.8v (breaking unicode input).

 -- Brendan O'Dea <bod@debian.org>  Tue, 02 Aug 2022 15:15:05 +1000

vile (9.8v-3) unstable; urgency=medium

  * Remove a pragma from perl.xs which gcc no longer recognises.
  * Fix a build failure for Perl 5.36 caused by a namespace conflict of
    the symbol `regexp' (closes: #1014289).

 -- Brendan O'Dea <bod@debian.org>  Mon, 04 Jul 2022 14:27:41 +1000

vile (9.8v-2) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (quilt) format (closes: #1007381).

 -- Brendan O'Dea <bod@debian.org>  Wed, 16 Mar 2022 20:27:38 +1100

vile (9.8v-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 13 Dec 2021 17:33:04 +1100

vile (9.8u-2) unstable; urgency=medium

  * Don't call dpkg-buildflags directly, allow configure to get flags set
    by buildflags.mk from the environment.
  * Set -e explicitly in maintainer scripts rather than via the #! line
    (lintian: maintainer-script-without-set-e).
  * Update lintian override for vile man page (changed to no-manual-page).
  * Update debhelper to version 13.

 -- Brendan O'Dea <bod@debian.org>  Sun, 07 Feb 2021 01:09:00 +1100

vile (9.8u-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 18 May 2020 22:30:38 +1000

vile (9.8t-4) unstable; urgency=medium

  * Re-build to fix accidental build as native (closes: #953604).

 -- Brendan O'Dea <bod@debian.org>  Wed, 11 Mar 2020 11:57:30 +1100
