=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10), flex (>= 2.6.4), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13), flex (>= 2.6.4), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Homepage: https://invisible-island.net/vile/
 Vcs-Browser: https://salsa.debian.org/debian/vile
 Vcs-Git: https://salsa.debian.org/debian/vile.git
 
@@ -25,6 +27,7 @@
 Package: vile-filters
 Architecture: any
 Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: VI Like Emacs - highlighting filters for vile/xvile
  Text highlighting filters for various languages and file formats for
  the vile and xvile editors.
