=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SHELL = /bin/bash
 DPKG_EXPORT_BUILDFLAGS = 1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/buildflags.mk
 
@@ -16,8 +16,7 @@
     --with-perl \
     --with-loadable-filters=all \
     --disable-rpath-hack \
-    --disable-stripping \
-    $(shell dpkg-buildflags --export=configure)
+    --disable-stripping
 
 xshell = x-terminal-emulator -e /usr/share/vile/xshell.sh
