=== package/freebsd/vile/Makefile ===
--- 
+++ 
@@ -1,10 +1,7 @@
-# Created by: pgf
-# $FreeBSD$
-
 PORTNAME=	vile
-PORTVERSION=	9.8v
+PORTVERSION=	9.8w
 CATEGORIES=	editors
-MASTER_SITES=	ftp://ftp.invisible-island.net/pub/vile/current/ \
+MASTER_SITES=	https://invisible-island.net/archives/vile/current/ \
 		https://invisible-mirror.net/archives/vile/current/
 
 PATCH_SITES=	${MASTER_SITES:S,vile/current/,vile/patches/,g}
@@ -14,6 +11,7 @@
 COMMENT=	VI Like Emacs -- console version
 
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 BUILD_DEPENDS=	reflex:textproc/reflex
