=== debian/changelog ===
vile (9.8y-2) unstable; urgency=medium

  * Fix typo in aclocal.m4 (closes: #1029956).

 -- Brendan O'Dea <bod@debian.org>  Mon, 30 Jan 2023 15:40:09 +1100

vile (9.8y-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 16 Jan 2023 13:52:00 +1100

vile (9.8x-2) unstable; urgency=medium

  * Apply patch from upstream to fix insertion of accented characters
    using compose sequences with Multi_key.

 -- Brendan O'Dea <bod@debian.org>  Sun, 15 Jan 2023 13:30:54 +1100

vile (9.8x-1) unstable; urgency=medium

  * New upstream release.
  * Actually include lxvile in the xvile package.
  * Revert `Multi-Arch: same' change to vile-filters: this introduces a
    lintian error due to the dependency on the non multi-arch package
    vile-common.

 -- Brendan O'Dea <bod@debian.org>  Sat, 31 Dec 2022 12:46:28 +1100

vile (9.8w-3) unstable; urgency=medium

  * Change ncurses build dependency to unversioned libncurses-dev.
  * Install lxvile and lxvile.desktop.
  * Install lxvile-font to examples directory.
  * Fix Perl #! lines to meet Policy (§10.4).
  * Make example scripts executable.

 -- Brendan O'Dea <bod@debian.org>  Thu, 15 Dec 2022 21:58:04 +1100

vile (9.8w-2) unstable; urgency=medium

  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev, flex, libperl-dev
      and libxaw7-dev.
    + xvile: Drop versioned constraint on vile-common in Replaces.
    + vile-common: Drop versioned constraint on vile in Replaces.

 -- Debian Janitor <janitor@jelmer.uk>  Fri, 14 Oct 2022 17:06:02 -0000
