=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Paul van Tilburg <paulvt@debian.org>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper-compat (= 13), flex (>= 2.6.4), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Build-Depends: debhelper-compat (= 13), flex, libncurses-dev, libperl-dev, libxaw7-dev
 Homepage: https://invisible-island.net/vile/
 Vcs-Browser: https://salsa.debian.org/debian/vile
 Vcs-Git: https://salsa.debian.org/debian/vile.git
@@ -27,7 +27,6 @@
 Package: vile-filters
 Architecture: any
 Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
 Description: VI Like Emacs - highlighting filters for vile/xvile
  Text highlighting filters for various languages and file formats for
  the vile and xvile editors.
@@ -37,7 +36,6 @@
 Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: xfonts-100dpi, xfonts-75dpi
 Provides: editor
-Replaces: vile-common (<< 9.7x-1)
 Description: VI Like Emacs - vi work-alike (X11)
  vile is a text editor which is extremely compatible with vi in terms of
  ``finger feel''.  In addition, it has extended capabilities in many areas,
@@ -53,6 +51,5 @@
 Depends: libio-pty-perl, ${misc:Depends}
 Recommends: vile | xvile
 Suggests: vile-filters
-Replaces: vile (<< 9.2g-1)
 Description: VI Like Emacs - support files for vile/xvile
  Shared files for the vile and xvile editors.
