=== debian/changelog ===
vile (9.8z-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:05 +1100

vile (9.8z-1build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:18 +0100

vile (9.8z-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Tue, 23 Jan 2024 20:33:42 +1100

vile (9.8y-3) unstable; urgency=medium

  * Really fix cross building issue (closes: #1032651).

 -- Brendan O'Dea <bod@debian.org>  Tue, 14 Mar 2023 14:44:32 +1100
