=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vile
 Section: editors
 Priority: optional
-Maintainer: Brendan O'Dea <bod@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
