=== debian/changelog ===
vile (9.8za-1) unstable; urgency=medium

  * New upstream release.
  * Update to policy 4.7.0 (no changes).

 -- Brendan O'Dea <bod@debian.org>  Sat, 01 Feb 2025 11:59:40 +1100
