=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: vile
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brendan O'Dea <bod@debian.org>
+Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), flex, libncurses-dev, libperl-dev, libxaw7-dev
 Homepage: https://invisible-island.net/vile/
