=== debian/rules ===
--- 
+++ 
@@ -89,10 +89,9 @@
             $(TMP)/usr/share/applications $(TMP)/usr/share/pixmaps \
 	    $(TMP)/usr/share/vile
 
-	install -c t/xvile/xvile $(TMP)/usr/bin/xvile
-	install -c macros/uxvile $(TMP)/usr/bin/uxvile
-	install -c -m 644 macros/xvile.desktop macros/uxvile.desktop \
-	    $(TMP)/usr/share/applications
+	install -c t/xvile/xvile macros/lxvile macros/uxvile $(TMP)/usr/bin
+	install -c -m 644 macros/xvile.desktop macros/lxvile.desktop \
+	    macros/uxvile.desktop $(TMP)/usr/share/applications
 
 	$(MAKE) -C t/xvile DESTDIR=$(TMP) install-app install-icon
 	$(MAKE) -C t/xvile DESTDIR=$(TMP) bindir='$$(datadir)' \
@@ -123,6 +122,14 @@
 	dh_installdocs       -i
 	dh_installexamples   -i
 	dh_installchangelogs -i -k CHANGES
+
+	# Cleanup permissions and #! lines.
+	chmod +x debian/vile-common/usr/share/doc/vile-common/examples/*
+	sed -i '1s%#!/usr/bin/env perl%#!/usr/bin/perl%' \
+	    debian/xvile/usr/bin/lxvile \
+	    debian/vile-common/usr/bin/vileget \
+	    debian/vile-common/usr/share/doc/vile-common/examples/*
+
 	dh_compress          -i
 	dh_fixperms          -i
 	dh_installdeb        -i
